"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeScriptGenerator = void 0;
const node_path_1 = __importDefault(require("node:path"));
const shared_1 = require("../shared");
const tsconfig_1 = require("./tsconfig");
class TypeScriptGenerator extends shared_1.BaseGenerator {
    configuring() {
        this.composeWith({
            Generator: tsconfig_1.TsConfigGenerator,
            path: node_path_1.default.join(__dirname, "./tsconfig"),
        });
    }
    async writing() {
        await this.addDevDependencies("typescript");
    }
}
exports.TypeScriptGenerator = TypeScriptGenerator;
//# sourceMappingURL=TypeScriptGenerator.js.map