"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yeoman_test_1 = __importDefault(require("yeoman-test"));
describe("TypeScriptGenerator", () => {
    let result;
    beforeAll(async () => {
        result = await yeoman_test_1.default.create(__dirname).run();
    });
    describe("installs required devDependencies", () => {
        it("installs TypeScript", () => {
            expect(result).toHaveDevDependency("typescript");
        });
    });
    it("creates a tsconfig.json file", () => {
        result.assertFile("tsconfig.json");
    });
});
//# sourceMappingURL=TypeScriptGenerator.test.js.map